import { EventEmitter, OnInit } from '@angular/core';
import { MemberCommunity } from '../inspire-library.interface';
import * as i0 from "@angular/core";
export declare class MyCommunitiesComponent implements OnInit {
    communities: MemberCommunity[];
    maxCount: number;
    viewAll: EventEmitter<any>;
    viewCommunity: EventEmitter<MemberCommunity>;
    constructor();
    ngOnInit(): void;
    viewAllCommunities(): void;
    onViewCommunity(community: MemberCommunity): void;
    static ɵfac: i0.ɵɵFactoryDef<MyCommunitiesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<MyCommunitiesComponent, "ins-my-communities", never, { "communities": "communities"; "maxCount": "maxCount"; }, { "viewAll": "viewAll"; "viewCommunity": "viewCommunity"; }, never, never>;
}
